LibreOffice: FunctionAccess Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
FunctionAccess Service Referencepublished

allows generic access to all spreadsheet functions. More...

Inheritance diagram for FunctionAccess:

## Included Services
service | com::sun::star::sheet::SpreadsheetDocumentSettings
| contributes properties to control the behavior of some functions (i.e.

## Exported Interfaces
interface | com::sun::star::sheet::XFunctionAccess
| provides calculating the result of a spreadsheet function.
Exported Interfaces inherited from SpreadsheetDocumentSettings
interface | com::sun::star::beans::XPropertySet
| published service PropertySet

## Public Attributes
boolean | IsArrayFunction
| specifies whether the function call is performed as array function call.
Public Attributes inherited from SpreadsheetDocumentSettings
boolean | IsIterationEnabled
| enables iterated calculation of circular references.
long | IterationCount
| specifies how many iterations are carried out.
double | IterationEpsilon
| specifies the point at which a change in results will stop the iteration.
short | StandardDecimals
| specifies the number of decimals in the default number format.
com::sun::star::util::Date | NullDate
| specifies the date that is represented by the value zero.
short | DefaultTabStop
| specifies the width of default tabulators.
boolean | IgnoreCase
| specifies whether upper and lower cases are treated as equal when comparing cells.
boolean | CalcAsShown
| specifies whether calculations are performed with the rounded values displayed in cells (set to `TRUE`) instead of the internal values (set to `FALSE`).
boolean | MatchWholeCell
| specifies whether filter criteria must match entire cell contents.
boolean | SpellOnline
| enables online spell checking.
boolean | LookUpLabels
| specifies whether column or row labels are looked up from anywhere on the sheet.
boolean | RegularExpressions
| specifies whether regular expressions in formulas are enabled, e.g., for functions which look up spreadsheet contents.
com::sun::star::i18n::XForbiddenCharacters | ForbiddenCharacters
| contains the interface XForbiddenCharacters.
boolean | HasDrawPages
| If this property is set the document has DrawPages.
com::sun::star::lang::Locale | CharLocale
| contains the standard document language for Western text.
com::sun::star::lang::Locale | CharLocaleAsian
| contains the standard document language for Asian text.
com::sun::star::lang::Locale | CharLocaleComplex
| contains the standard document language for Complex text.
boolean | IsLoaded
| specifies whether the document data are already loaded.
boolean | IsUndoEnabled
| specifies whether the undo command is enabled.
boolean | IsAdjustHeightEnabled
| specifies whether the automatic adjustment of the row height is enabled.
boolean | IsExecuteLinkEnabled
| specifies whether the automatic execution of links is enabled.
com::sun::star::awt::XDevice | ReferenceDevice
| contains the reference device used for formatting the document.
boolean | RecordChanges
| specifies whether changes record is enabled.
boolean | IsRecordChangesProtected
| specifies whether changes record is protected.
boolean | Wildcards
| specifies whether wildcards in formulas are enabled, e.g., for functions which look up spreadsheet contents.

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XFunctionAccess
any | callFunction ([in] string aName, [in] sequence< any > aArguments) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| calls a function and returns the result of the call.

## Detailed Description

allows generic access to all spreadsheet functions.

Developers Guide
  Spreadsheet Documents - Function Handling - Calculating Function Results

## Exported Interfaces

## ◆ com::sun::star::sheet::SpreadsheetDocumentSettings

service com::sun::star::sheet::SpreadsheetDocumentSettings

contributes properties to control the behavior of some functions (i.e.

NullDate, IgnoreCase, RegularExpressions).

## Exported Interfaces

## ◆ com::sun::star::sheet::XFunctionAccess

interface com::sun::star::sheet::XFunctionAccess

provides calculating the result of a spreadsheet function.

## Member Data Documentation

## ◆ IsArrayFunction

boolean IsArrayFunction
| optionalproperty

specifies whether the function call is performed as array function call.

If set to `TRUE`, the result of the function call will be calculated similar to array formulas in a spreadsheet document. The return value of the function call will usually be a sequence of sequences containing the values of the resulting array. Example: If the function ABS is called for a 3x2 cell range, the result will be a 3x2 array containing the absolute values of the numbers contained in the specified cell range.

If set to `FALSE`, the result of the function call will be calculated similar to simple cell formulas in a spreadsheet document. The return value of the function call will usually be a single value. Of course, some functions always return an array, for example the MUNIT function.

For compatibility with older versions, the default value of this property is `TRUE`.

Since
  OOo 3.3

The documentation for this service was generated from the following file:

- com/sun/star/sheet/FunctionAccess.idl